/*
 * @Descripttion: 
 * @version: 
 * @Author: guanxiaoxin
 * @Date: 2023-10-13 10:55:13
 * @LastEditors: guanxiaoxin
 * @LastEditTime: 2023-10-13 13:16:52
 * @FilePath: \VNoteApp\lib\pages\contract\package_list\widgets\personal_information.dart
 */
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:intl/intl.dart';
import 'package:vitalapp/components/cell.dart';
import 'package:vitalapp/pages/contract/package_list/controller.dart';

class PersonalInformationPage
    extends GetView<ServicePackageContractController> {
  const PersonalInformationPage({super.key});

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: const EdgeInsets.symmetric(horizontal: 16),
      child: Column(
        children: [
          VListFormCellGroup(
            children: [
              VListFormCell(
                label: '姓名',
                content: controller.state.name,
              ),
              VListFormCell(
                label: '联系电话',
                content: controller.state.phone,
              ),
              VListFormCell(
                label: '身份证号码',
                content: controller.state.cardNo,
              ),
              const VListFormCell(
                label: '民族',
                content: '汉族',
              ),
              VListFormCell(
                label: '性别',
                content: controller.state.genderDesc,
              ),
              VListFormCell(
                label: '出生日期',
                content: DateFormat('yyyy-MM-dd').format(
                  controller.state.birthday,
                ),
              ),
            ],
          ),
        ],
      ),
    );
  }
}
